# $Revision: 1.37 $, $Date: 2002/09/28 17:55:17 $
Summary:	A caching dns proxy for small networks or dialin accounts
Summary(pl):	DNS proxy serwer dla maej sieci lub jednostki z poczeniem dialup
Name:		pdnsd
Version:	1.1.7a
Release:	5
License:	GPL
Group:		Networking/Daemons
Vendor:		Thomas Moestl
Source0:	http://home.t-online.de/home/Moestl/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Patch0:		%{name}-threads_signals.patch
URL:		http://home.t-online.de/home/Moestl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
PreReq:		/sbin/chkconfig
PreReq:		rc-scripts
Provides:	caching-nameserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	bind
Obsoletes:	maradns
Obsoletes:	maradns-zoneserver

%description
pdnsd is a proxy DNS daemon with permanent (disk-)cache and the
ability to serve local records. It is designed to detect network
outages or hangups and to prevent DNS-dependent applications like
Netscape Navigator from hanging.

%description -l pl
pdnsd jest serwerem proxy dla usugi DNS, zapisujacym bufor ze
zgromadzonymi informacjami na dysku. Bdzie on szczeglnie uyteczny
dla jednostki pracujacej w trybie off-line (np. poprzez poczenie
dialup).

%prep
%setup -q
%patch0 -p0

%build
rm -f missing
aclocal
%{__autoconf}
autoheader
%{__automake}
%configure \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/pdnsd
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/pdnsd.conf{.sample,}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pdnsd
if [ -f %{_localstatedir}/lock/subsys/pdnsd ]; then
	/etc/rc.d/init.d/pdnsd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/pdnsd start\" to start pdnsd." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f %{_localstatedir}/lock/subsys/pdnsd ]; then
		/etc/rc.d/init.d/pdnsd stop
	fi
	/sbin/chkconfig --del pdnsd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/txt/*.txt doc/html/*.html
%attr(754,root,root) /etc/rc.d/init.d/pdnsd
%attr(755,root,root) %{_sbindir}/pdnsd
%attr(755,root,root) %{_sbindir}/pdnsd-ctl
%attr(775,nobody,nobody) %dir %{_var}/cache/pdnsd
%attr(664,nobody,nobody) %config(noreplace) %verify(not md5 size mtime) %{_var}/cache/pdnsd/pdnsd.cache
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/pdnsd.conf
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pdnsd.spec,v $
Revision 1.37  2002/09/28 17:55:17  kloczek
- release 5: added to Obsoletes maradns{,-zoneserver}.

Revision 1.36  2002/09/25 19:49:43  hunter
--added Provides: caching-nameserver and Obsoletes: bind (binding on port 53)

Revision 1.35  2002/06/24 04:52:19  gotar
- fixed signals handling with threads,
- release 4, STBR.

Revision 1.34  2002/06/19 08:39:58  gotar
- updated pdnsd.init, release 3.

Revision 1.33  2002/06/05 21:32:31  kloczek
- more macros.

Revision 1.32  2002/06/05 19:53:25  filon
- added missing files: man page
- new %doc, release 2

Revision 1.31  2002/05/21 23:14:21  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.30  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/01/22 21:17:43  gotar
- upgraded to 1.1.7a (bugfix).

Revision 1.28  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2002/01/08 04:43:45  gotar
- upgraded to 1.1.7 (improved security),
- removed obsoleted patches,
- STBR.

Revision 1.26  2001/12/30 10:51:14  gotar
- extended build process,
- added two patches;
        - ac2.5 satisfied (Patch0),
        - fixed CONFDIR (Patch1)!,
- chmod o+rx %{_var}/cache/pdnsd, o+r %{_var}/cache/pdnsd/pdnsd.cache,
- release 3, STBR.

Revision 1.25  2001/10/18 16:40:23  gotar
- cosmetics.

Revision 1.24  2001/10/01 09:14:40  qboosh
- BuildRequires: autoconf,automake

Revision 1.23  2001/09/29 11:14:16  blues
- release 2
- ac2.5 ready

Revision 1.22  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.21  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.19  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.18  2001/07/03 14:17:07  kloczek
- updated to 1.1.6 and removed obsoleted typo patch.

Revision 1.17  2001/06/10 20:43:43  kloczek
- added typo patch with fix typo in src/dns.c (s/sizof/sizeof/).

Revision 1.16  2001/06/10 19:53:23  kloczek
- release 2: adapterized.

Revision 1.15  2001/06/08 11:18:48  gotar
- changed Group.

Revision 1.14  2001/06/04 22:04:06  kloczek
- updated to 1.1.5.

Revision 1.13  2001/05/18 07:54:31  gotar
- added pdnsd-ctl to the package contents.

Revision 1.12  2001/05/13 00:02:26  kloczek
- updated to 1.1.4.

Revision 1.11  2001/05/02 21:26:29  kloczek
- release 4.

Revision 1.10  2001/05/02 09:59:28  gotar
- Ooops, don't gzip html docs.

Revision 1.9  2001/04/27 06:12:00  gotar
- a few spec cosmetics.

Revision 1.8  2001/04/24 04:57:38  kloczek
- release 3,
- fixed runlevel agains NFS exports which may want DNS names (siefca).

Revision 1.7  2001/04/13 09:22:52  gotar
- bin- and dirnames to rpm macros,
- changed behaviour of package with pdnsd.cache file,
- cosmetics, fixed typos in spec.

Revision 1.6  2001/03/01 05:48:03  kloczek
- updated to 1.1.2a.

Revision 1.5  2001/02/08 11:42:24  alchemyx
- final fix on init
- release 2, STB

Revision 1.4  2001/02/08 11:29:40  alchemyx
- init file update (needs more work)
- added cache file, changed permissions

Revision 1.3  2001/02/08 03:36:11  kloczek
- updated to 1.1.2,
- finished rewrite spec file.

Revision 1.2  2000/09/25 06:23:28  kloczek
- partialy rewrited byt NYF.
